avro

## Class FullName.Builder

- java.lang.Object
- - org.apache.avro.data.RecordBuilderBase<T>
  - - org.apache.avro.specific.SpecificRecordBuilderBase<FullName>
    - - avro.FullName.Builder

- All Implemented Interfaces:
    RecordBuilder<FullName>
  Enclosing class:
    FullName

      public static class FullName.Builder
      extends SpecificRecordBuilderBase<FullName>
      implements RecordBuilder<FullName>

  RecordBuilder for FullName instances.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FullName` | `build()`
    `FullName.Builder` | `clearFirst()` Clears the value of the 'first' field
    `FullName.Builder` | `clearLast()` Clears the value of the 'last' field
    `String` | `getFirst()` Gets the value of the 'first' field
    `String` | `getLast()` Gets the value of the 'last' field
    `boolean` | `hasFirst()` Checks whether the 'first' field has been set
    `boolean` | `hasLast()` Checks whether the 'last' field has been set
    `FullName.Builder` | `setFirst(String value)` Sets the value of the 'first' field
    `FullName.Builder` | `setLast(String value)` Sets the value of the 'last' field

    - ### Methods inherited from class org.apache.avro.data.RecordBuilderBase

      `data, defaultValue, equals, fields, fieldSetFlags, hashCode, isValidValue, schema, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getFirst

          public String getFirst()

      Gets the value of the 'first' field

    - #### setFirst

          public FullName.Builder setFirst(String value)

      Sets the value of the 'first' field

    - #### hasFirst

          public boolean hasFirst()

      Checks whether the 'first' field has been set

    - #### clearFirst

          public FullName.Builder clearFirst()

      Clears the value of the 'first' field

    - #### getLast

          public String getLast()

      Gets the value of the 'last' field

    - #### setLast

          public FullName.Builder setLast(String value)

      Sets the value of the 'last' field

    - #### hasLast

          public boolean hasLast()

      Checks whether the 'last' field has been set

    - #### clearLast

          public FullName.Builder clearLast()

      Clears the value of the 'last' field

    - #### build

          public FullName build()

      Specified by:
        `build` in interface `RecordBuilder<FullName>`

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.